graphics_toolkit("fltk");

GoCs      = load ("GoCcoordinates.sorted.dat" );
GoCadends = load ("GoCadendcoordinates.sorted.dat" );
GoCbdends = load ("GoCbdendcoordinates.sorted.dat" );
apoints = size(GoCadends)(2)/3
bpoints = size(GoCbdends)(2)/3

GCs            = load ("GCcoordinates.sorted.dat" );
PFs            = load ("PFcoordinates.dat" );
AAs            = load ("AAcoordinates.dat" );

PFtoGoCsources = load ("PFtoGoCsources.dat" );
PFtoGoCtargets = load ("PFtoGoCtargets.dat" );

myGoCind = randi(size(GoCs)(1),1);
myGoCcoords = [GoCs(myGoCind+1,1) GoCs(myGoCind+1,2) GoCs(myGoCind+1,3)];
myGoCacoords = GoCadends(myGoCind+1,:);
myGoCbcoords = GoCbdends(myGoCind+1,:);

myPFtoGoCinds    = find (PFtoGoCtargets == myGoCind);
myPFtoGoCsources = PFtoGoCsources(myPFtoGoCinds);

plot3 (GoCs(myGoCind+1,1),GoCs(myGoCind+1,2),GoCs(myGoCind+1,3),'r*');
hold on;
for i=1:apoints
  x = myGoCacoords(:,(i-1)*3+1);
  y = myGoCacoords(:,(i-1)*3+2);
  z = myGoCacoords(:,(i-1)*3+3);
  plot3(x,y,z,'g.');
endfor       
for i=1:bpoints
  x = myGoCbcoords(:,(i-1)*3+1);
  y = myGoCbcoords(:,(i-1)*3+2);
  z = myGoCbcoords(:,(i-1)*3+3);
  plot3(x,y,z,'b.');
endfor       
for i = 1:length(myPFtoGoCsources)
    id = myPFtoGoCsources (i)
    myPFs = find (PFs(:,1) == id);
    myAAs = find (AAs(:,1) == id);
    plot3 (PFs(myPFs,2),PFs(myPFs,3),PFs(myPFs,4),'b.');
    plot3 (AAs(myAAs,2),AAs(myAAs,3),AAs(myAAs,4));
    plot3 (GCs(id+1,1),GCs(id+1,2),GCs(id+1,3),'m*');
endfor

